namespace _2023._11._13;

class Adatok
{
    private string[] adat;

    //Konstruktor az osztály inicializálásához
    public Adatok()
    {
        //Példányváltozó inicializálása

        adat = new string[5];
    }

    public string this[int index]
    {
        get
        {
            //Ellenőrzés, hogy az index a megfelelő taartományban van-e

            if (index >= 0 && index < adat.Length)
            {
                return adat[index];
            }

            else
            {
                return "Érvénytelen index";
            }
        }

        set
        {
            //Ellenőrzés, hogy az index a megfelelő taartományban van-e
            
            if (index >= 0 && index < adat.Length)
            {
                adat[index] = value;
            }

            else
            {
                System.Console.WriteLine("Érvénytelen index");
            }
        }
    }
}